DONSEE东信智能 - 中国领先的身份证社保卡智能终端应用服务商

eastcoms@qq.com
400-6722-705
首页 > 服务支持专区 > 产品支持 > 常见问题

身份证读卡器Linux开发包定制需要的信息和文件汇总

来源:www.eastcoms.com   标签:Linux 开发包 定制 身份证读卡器   发布时间: 2020-5-19 10:27:04

身份证读卡器Linux开发包定制

很多行业客户可能都知道东信身份证读卡器支持多种开发平台,包括Linux、Android、Windows、单片机等操作系统。其中Linux和其他不太相同,像ARM的Linux,不同客户使用编译链环境不同,需要针对性定制开发包。

下面针对Linux系统定制开发包需要告知和准备的信息汇总如下,如果有需要定制开发包,请按下面格式来填写,然后发给我们商务同事。


一、要提供的信息:

1、Linux 操作系统是32位还是64位?

2、硬件架构是X86, Arm,还是Mips?

3、你们开发板运行的程序是交叉编译码生成的吗? 交叉编译的环境是什么样的?(ubuntu32/ubuntu64/win32/win64 具体版本)

4、如果不是交叉编译, 是否是像树莓派这种开发板直接在开发板编译的?

二、要提供的文件

1、如果是交叉编译

1)请提供交叉编译用的工具链 

2)请列出工具链的使用方法(请注明 gcc 在工具链中的具体目录)

2、如果是类似树莓派这种在板子上编译的,请提供开发板


 

 
QQ在线咨询